Printer (Other Classes)
Keywords: org.apache.xml.serialize.Printer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Class Printer

    java.lang.Object
      org.apache.xml.serialize.Printer

Direct Known Subclasses:
  IndentPrinter

Deprecated. This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML. See the Xerces documentation for more information.

    public class Printer

extends java.lang.Object

The printer is responsible for sending text to the output stream or writer. This class performs direct writing for efficiency. `IndentPrinter` supports indentation and line wrapping by extending this class.

Version:
  $Revision: 699892 $ $Date: 2008-09-28 17:08:27 -0400 (Sun, 28 Sep 2008) $
Author:
  Assaf Arkin

Field Summary
`protected java.io.Writer` | `_docWriter` Deprecated. Holds a reference to the document writer while we are in DTD mode.
`protected java.io.StringWriter` | `_dtdWriter` Deprecated. The DTD writer.
`protected java.io.IOException` | `_exception` Deprecated. Holds the exception thrown by the serializer.
`protected OutputFormat` | `_format` Deprecated. The output format associated with this serializer.
`protected java.io.Writer` | `_writer` Deprecated. The writer to which the document is written.

Constructor Summary
`Printer(java.io.Writer writer, OutputFormat format)` Deprecated.

Method Summary
`void` | `breakLine()` Deprecated.
`void` | `breakLine(boolean preserveSpace)` Deprecated.
`void` | `enterDTD()` Deprecated. Called by any of the DTD handlers to enter DTD mode.
`void` | `flush()` Deprecated. Flush the output stream.
`void` | `flushLine(boolean preserveSpace)` Deprecated.
`java.io.IOException` | `getException()` Deprecated.
`int` | `getNextIndent()` Deprecated.
`void` | `indent()` Deprecated.
`java.lang.String` | `leaveDTD()` Deprecated. Called by the root element to leave DTD mode and if any DTD parts were printer, will return a string with their textual content.
`void` | `printSpace()` Deprecated.
`void` | `printText(char ch)` Deprecated.
`void` | `printText(char[] chars, int start, int length)` Deprecated.
`void` | `printText(java.lang.String text)` Deprecated.
`void` | `printText(java.lang.StringBuffer text)` Deprecated.
`void` | `setNextIndent(int indent)` Deprecated.
`void` | `setThisIndent(int indent)` Deprecated.
`void` | `unindent()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _format

    protected final OutputFormat _format

  Deprecated.
  The output format associated with this serializer. This will never be a null reference. If no format was passed to the constructor, the default one for this document type will be used. The format object is never changed by the serializer.

### _writer

    protected java.io.Writer _writer

  Deprecated.
  The writer to which the document is written.

### _dtdWriter

    protected java.io.StringWriter _dtdWriter

  Deprecated.
  The DTD writer. When we switch to DTD mode, all output is accumulated in this DTD writer. When we switch out of it, the output is obtained as a string. Must not be reset to null until we're done with the document.

### _docWriter

    protected java.io.Writer _docWriter

  Deprecated.
  Holds a reference to the document writer while we are in DTD mode.

### _exception

    protected java.io.IOException _exception

  Deprecated.
  Holds the exception thrown by the serializer. Exceptions do not cause the serializer to quit, but are held and one is thrown at the end.

Constructor Detail

### Printer

    public Printer(java.io.Writer writer,
                   OutputFormat format)

  Deprecated.

Method Detail

### getException

    public java.io.IOException getException()

  Deprecated.

### enterDTD

    public void enterDTD()
                  throws java.io.IOException

  Deprecated.
  Called by any of the DTD handlers to enter DTD mode. Once entered, all output will be accumulated in a string that can be printed as part of the document's DTD. This method may be called any number of time but will only have affect the first time it's called. To exist DTD state and get the accumulated DTD, call `leaveDTD()`.

  Throws:
    `java.io.IOException`

### leaveDTD

    public java.lang.String leaveDTD()
                              throws java.io.IOException

  Deprecated.
  Called by the root element to leave DTD mode and if any DTD parts were printer, will return a string with their textual content.

  Throws:
    `java.io.IOException`

### printText

    public void printText(java.lang.String text)
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### printText

    public void printText(java.lang.StringBuffer text)
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### printText

    public void printText(char[] chars,
                          int start,
                          int length)
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### printText

    public void printText(char ch)
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### printSpace

    public void printSpace()
                    throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### breakLine

    public void breakLine()
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### breakLine

    public void breakLine(boolean preserveSpace)
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### flushLine

    public void flushLine(boolean preserveSpace)
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Deprecated.
  Flush the output stream. Must be called when done printing the document, otherwise some text might be buffered.

  Throws:
    `java.io.IOException`

### indent

    public void indent()

  Deprecated.

### unindent

    public void unindent()

  Deprecated.

### getNextIndent

    public int getNextIndent()

  Deprecated.

### setNextIndent

    public void setNextIndent(int indent)

  Deprecated.

### setThisIndent

    public void setThisIndent(int indent)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.